/*
 * @Author: wrh
 * @Date: 2025-06-05 11:11:47
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-06-06 09:35:20
 */
import request from '@/utils/request'

// 查询cmc员工绩效列表
export function listPerformanceStaff(query) {
  return request({
    url: '/oa/performanceStaff/list',
    method: 'get',
    params: query
  })
}

// 查询cmc员工绩效详细
export function getPerformanceStaff(performanceStaffId) {
  return request({
    url: '/oa/performanceStaff/' + performanceStaffId,
    method: 'get'
  })
}

// 新增cmc员工绩效
export function addPerformanceStaff(data) {
  return request({
    url: '/oa/performanceStaff',
    method: 'post',
    data: data
  })
}

// 修改cmc员工绩效
export function updatePerformanceStaff(data) {
  return request({
    url: '/oa/performanceStaff',
    method: 'put',
    data: data
  })
}

// 删除cmc员工绩效
export function delPerformanceStaff(performanceStaffId) {
  return request({
    url: '/oa/performanceStaff/' + performanceStaffId,
    method: 'delete'
  })
}

// 查询部门绩效列表
export function getMonthPerformanceList(query) {
  return request({
    url: '/oa/performanceStaff/monthPerformance',
    method: 'get',
    params: query
  })
}
